public class LdapAuthenticationService : IAuthenticationService
{
    private readonly IConfiguration _configuration;

    public LdapAuthenticationService(IConfiguration configuration)
    {
        _configuration = configuration;
    }

    public bool Authenticate(string username, string password)
    {
        var ldapInstance = LdapIntegration.Instance;
        return ldapInstance.TestLogin(username, password);
    }
}